Subject: Re: [PATCH v4 1/4] Add log.mailmap as configurational option for mailmap location

From: Junio C Hamano <[email-masked]>
Date: Thu, 05 Feb 2009 12:22:22 -0800

Marius Storm-Olsen <[email-masked]> writes:

> Given that in total shortlog, blame, log, diff-tree, rev-list, show
> and whatchanged use it (the latter 5 through the pretty option), I'm
> tempted to say that it justifies its own option (mailmap.file?); but
> it would still have to be handled by git_default_config(). Renaming it
> would give it stronger reason to *be there* though.

We are in total agreement then ;-)

I also agree that it would be a good idea to introduce a shared
documentlet similar to pretty-format.txt that can be included in the
documentation pages of commands that use this name-rewriting mechanism.